Subject: Re: [GSoC][PATCH v2] t/: migrate helper/test-oidtree.c to unit-tests/t-oidtree.c

From: Junio C Hamano <[email-masked]>
Date: Mon, 10 Jun 2024 16:20:14 -0700

Ghanshyam Thakkar <[email-masked]> writes:

> Yeah, I'll reroll as rebasing on 'ps/no-writable-strings' did produce some
> errors but the change required was minimal, so I'll include it anyway:
>
> diff --git a/t/unit-tests/t-oidtree.c b/t/unit-tests/t-oidtree.c
> index cecefde899..a38754b066 100644
> --- a/t/unit-tests/t-oidtree.c
> +++ b/t/unit-tests/t-oidtree.c
> @@ -62,7 +62,7 @@ static enum cb_next check_each_cb(const struct object_id *oid, void *data)
>  }
>
>  LAST_ARG_MUST_BE_NULL
> -static void check_each(struct oidtree *ot, char *query, ...)
> +static void check_each(struct oidtree *ot, const char *query, ...)
>  {
>         struct object_id oid;
>         struct expected_hex_iter hex_iter = { .expected_hexes = STRVEC_INIT,

I somehow suspect that you do not even need to depend on the
Patrick's series---tightening the constness in the function
signature by itself is a good thing as you are not writing into
"query" anyway, even without his topic.

Thanks.